<template>
 <b-modal id="modal-xl"
        size="xl"
        v-bind:title="'Groupe: '+ layer.title"
        scrollable
        visible
        @hidden="cancel"
        @ok="ok"
      >
    <h3 class="line-header">Description du Groupe</h3>
    <FormTextInput v-bind:label="'Titre'" v-model="layer.title"/>
    <SvgSymbolList v-if="beta" v-model="layer.svgIconUrl"/>
</b-modal>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable no-undef */
// eslint-disable-next-line import/extensions
import LayerGroupConfig from '@/models/map-context/LayerGroupConfig';
import FormTextInput from '@/components/shared/FormTextInput.vue';
import Component from 'vue-class-component';
import ModalPanel from '@/components/shared/ModalPanel.vue';
import BaseComponent from '../BaseComponent';
import SvgSymbolList from './style/SvgSymbolList.vue';

@Component({
  props: {
    layer: LayerGroupConfig,
  },
  components: {
    ModalPanel,
    FormTextInput,
    SvgSymbolList,
  },
})
export default class GroupLayerInfos extends BaseComponent {
  layerBackup!: LayerGroupConfig;

  layer!: LayerGroupConfig

  mounted():void {
    // copie en cas d'annulation des modifications
    this.layerBackup = this.layer.toJson();
  }

  ok() :void{
    this.contextService.setCurrentAction('', []);
  }

  cancel() :void {
    this.layer.title = this.layerBackup.title;
    this.contextService.setCurrentAction('', []);
  }
}
</script>

<style scoped lang="less">
.layer-group-infos{
  background-color: lightgray;
}
</style>
